<template>
  <!-- EDIT-BUTTON -->
<app-link :to="{name: 'UploadPageDatasetDetails', query: { 
                                                            catalog: catalogID, 
                                                            locale: $route.query.locale 
                                                          }, 
                                                  params: {
                                                            id: id,
                                                            title: title,
                                                            description: description,
                                                            keywords: keywords,
                                                            catalog: catalogID,
                                                            category: categories,
                                                            contact_point: contactPoints,
                                                            publisher: publisher,
                                                            distributions: distributions,
                                                          }
                }">
      <button class="mt-1 btn btn-sm btn-primary">
        {{ $t('message.datasetDetails.edit') }}
      </button>
    </app-link>
</template>

<script>
  // Import components used in template
  import AppLink from './AppLink';
  /* eslint-disable */
  export default {
    name: 'EDP2-datasetDetailsEditButton',
    components: {
      appLink: AppLink,
    },
    data() {
      return {};
    },
    props: {
      id: {
        required: true,
      },
      title: {
        required: true,
      },
      catalogID: {
        required: true,
      },
      categories: {
        required: true,
      },
      contactPoints: {
        required: true,
      },
      description: {
        required: true,
      },
      distributions: {
        required: true,
      },
      publisher: {
        required: true,
      },
      keywords: {
        required: true,
      },
    },
    methods: {},
  };
</script>

<style lang="scss" scoped>
button {
  margin: 0 5px;
}
</style>
